using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Input;

[ComImport]
[TypeLibType(4096)]
[InterfaceType(2)]
[Guid("15EAEB82-6EC8-4A09-8FA3-2D691BBB732F")]
[SuppressUnmanagedCodeSecurity]
public interface IHotkeyEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Hotkey([MarshalAs(UnmanagedType.Interface)] Hotkey Source);
}
